#!/bin/bash
# Script Name:  tor-relay-installer-ubuntu2204.v1.sh
# Beschreibung: Installiert ein Tor-Relay
# Aufruf:       curl -s https://git.media-techport.de/scriptos/torproject/raw/branch/main/tor-relay-installer-ubuntu2204.v1.sh | bash
# Autor:        Patrick Asmus
# Web:          https://www.media-techport.de
# Git-Reposit.: https://git.media-techport.de/scriptos/torproject.git
# Version:      1.0
# Datum:        14.03.2024
# Modifikation: Initiale Freigabe
#####################################################

# Aktualisiere Paketlisten
sudo apt update 
sudo apt install apt-transport-https -y

# Füge Tor Repository hinzu
echo "deb [signed-by=/usr/share/keyrings/tor-archive-keyring.gpg] https://deb.torproject.org/torproject.org jammy main" | sudo tee /etc/apt/sources.list.d/tor.list
echo "deb-src [signed-by=/usr/share/keyrings/tor-archive-keyring.gpg] https://deb.torproject.org/torproject.org jammy main" | sudo tee -a /etc/apt/sources.list.d/tor.list

# Importiere und speichere den GPG-Schlüssel des Tor-Projekts
curl -s https://deb.torproject.org/torproject.org/A3C4F0F979CAA22CDBA8F512EE8CBC9E886DDD89.asc | gpg --dearmor | sudo tee /usr/share/keyrings/tor-archive-keyring.gpg >/dev/null

# Installation der Pakete
sudo apt update
sudo apt install deb.torproject.org-keyring tor nyx -y

cp /etc/tor/torrc /etc/tor/torrc.orig

echo ""
echo "----------------------------------------------------"
echo "Bitte stelle sicher, dass die Konfiguration in Ordnung ist, bevor du Tor mit <systemctl start tor.service> startest!"
echo " Die Konfiguration kannst du mit <nano /etc/tor/torrc> bearbeiten."
echo "----------------------------------------------------"
